QGIS Application - Bug report #18452
Snapping options missing on Mac
2018-03-15 07:22 PM - Guillaume Larocque

Status: Closed

Priority: Normal

Assignee:

Category: mac_os_specific

Affected QGIS version:3.0.0 Regression?: No
Operating System: Mac OSX 10.12 & 10.13 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26340
Description

The snapping tool menu seems to be missing from the Mac OSX version. On Windows, it is under Project, but it's absent from the Mac
version.

History

#1 - 2018-03-15 10:50 PM - Salvatore Larosa
- Status changed from Open to Feedback

| cannot confirm, | see Snapping options under Project menu either with a build version or Kingchaos version.

How did you install QGIS?

#2 - 2018-03-16 03:46 PM - Guillaume Larocque
- Status changed from Feedback to Open

Installed from most recent KyngChaos packages. Problem was observed on 2 different computers.

#3 - 2018-03-16 07:04 PM - Guillaume Larocque
This might or might not be related, but on those two computers, some gdal related functions appear to be broken. For example, we get "cannot find function

gdalwarp" function when trying to merge bands.

#4 - 2018-09-05 06:56 PM - Denis Rouzaud
- Status changed from Open to Feedback
- Category changed from Digitising to mac_os_specific

| am not experiencing the issue using Homebrew.

That would lead to a packaging issue, but this is quite strange.

Still experiencing the issue with 3.27?

#5 - 2018-10-09 08:32 PM - Denis Rouzaud
- Status changed from Feedback to Closed
